1999-12-31  Thorsten Kukuk  <kukuk@suse.de>

	* release version 1.3

	* lib/key_common/Makefile.am: Remove INCLUDES statement
	* lib/mp/*: Removed.
	* lib/md/*: Removed.
	* freebsd/*: Removed.
	* src/keyserv/Makefile.am: Use installed libmp.
	* src/chkey/Makefile.am: Likewise.
	* src/newkey/Makefile.am: Likewise.
	* src/nisaddcred/Makefile.am: Likewise.

	* configure.in (EXTRA_CFLAGS): Remove $TARGET, don't create
	  lib/mp/Makefile

	* lib/Makefile.am (SUBDIRS): Remove mp directory.

	* Makefile.am (DIST_SUBDIRS): Remove freebsd directory.
	* configure.in: Likewise.


1999-10-26  Ken-ichirou Matsuzawa  <chamas@seagreen.ocn.ne.jp>

	* src/nisaddent/Makefile.am: Update.
	* src/nisaddent/nisaddent_shadow.c: Removed.
	* src/nisaddent/nisaddent_passwd.c: Removed.
	* src/nisaddent/nisaddent_group.c: Removed.
	* src/nisaddent/nisaddent_services.c: Removed.
	* src/nisaddent/nisaddent_dump.c: New.
	* src/nisaddent/nisaddent_insert.c: New.
	* src/nisaddent/nisaddent_parse.c: New.

1999-10-03  Thorsten Kukuk  <kukuk@suse.de>

	* lib/nisdb/db_remove_entry.c (__remove_entry): Don't dereference
	  freed pointer.

	* lib/nisdb/db_destroy_table.c (db_destroy_table): Don't give
	  header free, there is nothing allocated.

	* src/rpc.nisd/nisd_main.c (main): Check if domainname is set.

	* src/rpc.nisd/nisd.h: Add nis_can_destroy, mark more parameters
	  as const.

	* src/rpc.nisd/nis_server.c (nis_remove_3_r): Move from here ...
	* src/rpc.nisd/nis_remove_svc.c: ... to here. New file.

	* src/rpc.nisd/Makefile.am (rpc_nisd_SOURCES): Add nis_remove_svc.c

	* src/rpc.nisd/nis_add_svc.c (nis_add_3_r): Remove duplicate
	  indexed name check.

1999-10-01  Thorsten Kukuk  <kukuk@suse.de>

	* src/rpc.nisd/nisd_cache.c (remove_from_cache): New function.

	* src/rpc.nisd/nisd_stats.c (remove_from_srvlist): New function.

1999-09-30  Thorsten Kukuk  <kukuk@suse.de>

	* src/rpc.nisd/nis_rmdir_svc.c (nis_rmdir_3_r): Check, if
	  we have sub-directories before removing directory.

1999-09-29  Thorsten Kukuk  <kukuk@suse.de>

	* src/nisrmdir/nisrmdir.c (main): rmstat contains the error,
	  not res->status.

1999-09-27  Thorsten Kukuk  <kukuk@suse.de>

	* src/rpc.nisd/nis_server.c: Move nis_rmdir_3_r from here ...
	* src/rpc.nisd/nis_rmdir_svc.c: ... to here. New file.

	* src/rpc.nisd/nis_server.c: Move nis_mkdir_3_r from here ...
	* src/rpc.nisd/nis_mkdir_svc.c: ... to here. New file.

	* src/rpc.nisd/Makefile.am (rpc_nisd_SOURCES): Add nis_mkdir_svc.c
	  and nis_rmdir_svc.c

1999-09-26  Thorsten Kukuk  <kukuk@suse.de>

	* lib/nisdb/db_list_entries.c (db_list_entries): If we don't find
	  entries, return DB_NOTFOUND, not DB_SUCCESS;

	* lib/nisdb/db_initialize.c (db_initialize): Bail out if we
	  couldn't load the entries of a table.

1999-09-25  Thorsten Kukuk  <kukuk@suse.de>

	* src/nisstat/Makefile.am: Update email address.
	* src/nisstat/nisstat.8: Likewise.

	* src/nisstat/nisstat.c: Add TAG_S_OCACHE, which is supported
	  by Linux/FreeBSD rpc.nisd, but not Solaris.
	  (print_tags): Optimize pointer arithemtic.

1999-09-23  Thorsten Kukuk  <kukuk@suse.de>

	* src/nismkdir/nismkdir.c (main): Make sure not to write before
	  begin of buffer.

1999-09-22  Thorsten Kukuk  <kukuk@suse.de>

	* src/rpc.nisd/nisd_stats.c (is_in_srvlist): New function.

	* src/nisupdkeys/nisupdkeys.c (update_dir): return in error case.
	(update_all): free result only if not NULL.

	* src/nisdefaults/nisdefaults.c: Check for search path == NULL.

	* src/rpc.nisd/nis_cache.c (get_ocache_stats): New function.

	* src/rpc.nisd/nisd_stats.c (nis_getstate): Implement TAG_S_OCACHE.

1999-09-21  Thorsten Kukuk  <kukuk@suse.de>

	* src/rpc.nisd/nis_add_svc.c (nis_add_3_r): Make threadsafe,
	  fix return statements.

	* lib/nisdb/xdr_nisdb.c: Remove unsused buffer.

	* Makefile.am: mv freebsd from SUBDIRS to DIST_SUBDIRS.

1999-09-07  Thorsten Kukuk  <kukuk@suse.de>

	* src/rpc.nisd/Makefile.am (rpc_nisd_SOURCES): add nis_add_svc.c.
	* src/rpc.nisd/nis_add_svc.c: New.

1999-09-06  Thorsten Kukuk  <kukuk@suse.de>

	* src/rpc.nisd/access.c: Add nis_check_access.

	* src/rpc.nisd/nisd.h: Add nis_can_read and nis_check_access.

1999-09-03  Thorsten Kukuk  <kukuk@suse.de>

	* src/rpc.nisd/nisd_main.c: Declare parent_obj.

	* configure.in: Check for sys/cdefs.h.

	* src/rpc.nisd/nisd.h: Add parent_obj.
	  Add prototype for get_nis_principal.

	* src/rpc.nisd/access.c: New.
	* src/rpc.nisd/Makefile.am (rpc_nisd_SOURCES): Add access.c.

1999-09-01  Thorsten Kukuk  <kukuk@suse.de>

	* src/rpc.nisd/nisd_main.c (main): Create root object.

	* src/rpc.nisd/Makefile.am: Install rpc.nisd.
	* freebsd/rpc.nisd/Makefile.am: Don't install rpc.nisd.

	* src/rpc.nisd/nisd_clock.c: pretty print.

1999-08-31  Thorsten Kukuk  <kukuk@suse.de>

	* lib/nisdb/check_create_tables.c: New.
	* lib/nisdb/check_load_tables.c: New.
	* lib/nisdb/db_checkpoint.c: Call __catalog_checkpoint.
	* lib/nisdb/load_entries.c: Fix lot of bugs.
	* lib/nisdb/db_initialize.c: Add more missing features.

1999-08-30  Thorsten Kukuk (Notebook)  <kukuk@suse.de>

	* lib/nisdb/db_checkpoint.c (db_checkpoint): Use xdr functions
	  from xdr_nis.c.

1999-08-29  Thorsten Kukuk (Notebook)  <kukuk@suse.de>

	* lib/nisdb/db_remove_entry.c (db_remove_entry): Change log type
	  from LOG_ADD to LOG_DELETE.
	  (__remove_entry): New internal function.

1999-07-27  Thorsten Kukuk  <kukuk@suse.de>

	* lib/nisdb/xdr_nis.c (__nisdb_xdr_attr): New function.

	* lib/nisdb/db_private.h (__open_log): New inline function
	  for opening log file.
	* lib/nisdb/db_add_entry.c (__add_entry): Use __open_log.

	* lib/nisdb/db_remove_entry.c: New.

1999-07-25  Thorsten Kukuk  <kukuk@suse.de>

	* lib/nisdb/check_list_entries.c: New.
	* lib/nisdb/db_table_exists.c: New.

	* lib/nisdb/db_create_table.c: Move __clone_table from here ...
	* lib/nisdb/db_clone.c: ... here. New file.

	* lib/nisdb/db_private.h: Add prototypes for __clone_entry and
	  __clone_table.

	* lib/nisdb/db_add_entry.c: Code cleanup.

	* lib/nisdb/db_reset_next_entry.c: New.
	* lib/nisdb/db_create_table.c: New.
	* lib/nisdb/db_standby.c: New.
	* lib/nisdb/db_unload_table.c: New.

1999-07-24  Thorsten Kukuk  <kukuk@suse.de>

	* lib/nisdb/db_destroy_table.c: Use global internal xdr functions.

	* lib/nisdb/db_free_result.c: New.
	* lib/nisdb/db_initialize.c: New.
	* lib/nisdb/db_add_entry.c: New.
	* lib/nisdb/xdr_nis.c: New.
	* lib/nisdb/xdb_dump.c: New.

1999-07-23  Thorsten Kukuk  <kukuk@suse.de>

	* lib/nisdb/db_list_entries.c: New.

1999-07-08  Thorsten Kukuk  <kukuk@suse.de>

	* release version 1.1.

	* src/nisclient/nisclient: Add missing functins for "-c".

1999-06-30  Thorsten Kukuk  <kukuk@suse.de>

	* src/nistest/nistest.c (searchaccess): Return result, not 0.

	* src/nisgrpadm/nisgrpadm.c (main): convert from nis_ismember
	  into a nis_error value.

1999-06-29  Thorsten Kukuk  <kukuk@suse.de>

	* src/nisgrpadm/nisgrpadm.c: Implement -s parameter.

	* configure.in: Bump to 1.1

	* src/nisclient/nisclient: Fix domainname handling, fix
	  init_client function.

1999-06-14  Thorsten Kukuk  <kukuk@suse.de>

	* src/nisinit/nisinit.c: -c always requires a second parameter.

1999-06-13  Thorsten Kukuk  <kukuk@suse.de>

	* src/nispasswd/npd_upd_pwd.c: Fix changing of gecos/shell.

1999-04-26  Thorsten Kukuk  <kukuk@suse.de>

	* lib/key_common/pkey.c (publickey_police): Check of result is
	  a NULL pointer.

	* src/nispasswd/npd_upd_pwd.c (update_npd): Remove org_dir from
	  domainname.

1999-04-11  Thorsten Kukuk  <kukuk@suse.de>

	* release version 1.0.

	* src/nisgrpadm/nisgrpadm.c (main): Print error messages.

	* po/de.po: Update german translations.

	* src/nis_cachemgr/nis_cachemgr.c (main): Add long options.

	* src/newkey/newkey.c: Fix typos in messages.
	* src/nisaddcred/nisaddcred.c: Likewise.

1999-04-10  Thorsten Kukuk  <kukuk@suse.de>

	* src/nis_cachemgr/coldstartfile.c: Install sig_handler for
	  SIGALRM to reload cold start file if ttl expires.

	* src/nis_cachemgr/nis_cachemgr.c (main): Load NISCOLDSTART file.

	* src/nis_cachemgr/nis_cachemgr.h: New.

1999-03-28  Thorsten Kukuk  <kukuk@suse.de>

	* src/nisclient/nisclient: Should now work on SuSE Linux.
	* src/nis_cachemgr/Makefile.am: Install nis_cache.[xh]
	* src/nis_cachemgr/nis_cachemgr.8: Update Email adress.
	* src/nis_cachemgr/coldstartfile.c: Reload/update cold start file.
	* src/nis_cachemgr/nis_cachemgr.c: Only AF_UNIX as protocoll is
	  allowed.

1999-03-15  Thorsten Kukuk  <kukuk@suse.de>

	* src/nispasswd/npd_upd_pwd.c (update_nisd): encrypt new password.

	* src/nispasswd/Makefile.am: Link nispasswd against libcrypt.

1999-03-14  Thorsten Kukuk  <kukuk@suse.de>

	* src/nispasswd/npd_upd_pwd.c (update_nisd): New function,
	  change the password field on server without rpc.nispasswdd.

1999-03-13  Thorsten Kukuk  <kukuk@suse.de>

	* etc/suse.rc: New, start/stop script for SuSE Linux 6.x

1999-03-12  Thorsten Kukuk  <kukuk@suse.de>

	* src/nispasswd/npd_upd_pwd.c: Many bug fixes, don't use
	  struct passwd but NIS+ object.

	* src/nispasswd/npd_lock.c: localize messages.

1999-03-10  Thorsten Kukuk  <kukuk@suse.de>

	* src/nispasswd/npd_upd_pwd.c (npd_upd_pwd): Query
	  rpc.nisd direct for user data, to get data from correct
	  domain.

	* src/nispasswd/npd_display.c: Fix some typos.

	* configure.in: Don't check twice for libcrypt,
          set TARGET variable for libmp.

	* src/chkey/Makefile.am (LDADD): Change CRYPT to LIBCRYPT.
	* src/newkey/Makefile.am (LDADD): Likewise.
	* src/nisaddcred/Makefile.am (LDADD): Likewise.

1999-03-05  Thorsten Kukuk  <kukuk@suse.de>

	* src/nisinit/nisinit.c (main): Replace strcat with strcpy.

	* src/nislog/nislog.c (main): Use long, not int to
	  cast unsigned pointer to signed.

	* src/nisls/nisls.c (print_long): Fix problem with
	  sizeof (time_t) != sizeof (int).

1999-03-02  Thorsten Kukuk  <kukuk@suse.de>

	* src/nisinit/nisinit.c (main): Fix alignment problems on alpha.

	* lib/nisdb/nis_db_handle_manager.c (del_dictionary): Fix
	  for 64bit platforms.

1999-02-27  Thorsten Kukuk  <kukuk@suse.de>

	* lib/nisdb/Makefile.am (noinst_HEADERS): Add check_version.h.

1999-02-24  Thorsten Kukuk  <kukuk@suse.de>

	* src/nispasswd/npd_upd_pwd.c: Mark more texts for translation,
	  Add first code for checking, if we should use rpc.nispasswdd
	  or change the fields on the NIS+ master.

1999-02-23  Thorsten Kukuk  <kukuk@suse.de>

	* release snapshot 19990223

	* src/nisaddent/Makefile.am: Add nisaddent_services.c to SOURCES.

	* src/nisaddent/nisaddent.c: Set always nisdomain variable.

1999-02-23  Ken-ichirou Matsuzawa  <chamas@seagreen.ocn.ne.jp>

	* src/nisaddent/nisaddent.c: Use function array for calling
	  subroutines.
	* src/nisaddent/nisaddent.h: Declare functbl_t and my_func.

	* src/nisaddent/nisaddent_group.c: Fix typos.

	* src/nisaddent/nisaddent_services.c: New.

1999-02-11  Christian Iseli  <chris@ludwig-alpha.unil.ch>

	* lib/mp/mp_clz_tab.c: New, for alpha platform.
        * lib/mp/Makefile.am: Add mp_clz_tab.c to SOURCES.

1999-02-03  Thorsten Kukuk  <kukuk@suse.de>

	* release snapshot 19990204

1999-02-03  Thorsten Kukuk  <kukuk@suse.de>

	* lib/mp/*: Replace libmp from gmp-1.3.2 with generic version
	  from gmp-2.0.2.

	* src/chkey/Makefile.am (chkey_LDADD: Add $LDADD for automake 1.4.
	* src/newkey/Makefile.am (newkey_LDADD): Likewise.
	* src/nisaddcred/Makefile.am (nisaddcred_LDADD): Likewise.

1999-01-03  Thorsten Kukuk  <kukuk@suse.de>

	* src/nisaddcred/nisaddcred.c (main): Don't create /etc/.rootkey,
          if we create credentials as root for other users.

1998-12-22  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* release snapshot 19981221

1998-12-05  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* src/nismkdir/nismkdir.c: localize, fix option handling.

	* src/nisstat/nisstat.c (main): Fix option handling.
	* src/nisaddcred/nisaddcred.c (main): Likewise.
	* src/nislog/nislog.c (main): Likewise.
	* src/nisping/nisping.c (main): Likewise.
	* src/nisrmdir/nisrmdir.c (main): Likewise.
	* src/nisupdkeys/nisupdkeys.c (main): Likewise.

1998-12-04  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* src/nistest/nistest.c: Fix option parsing.
	* src/nistest/nistest.1: Update header.

	* src/nisln/nisln.c: localize, add new version and help text.

	* src/nisls/nisls.c (print_long): Add domainname, if we print a
	  directory object.
	  (print_help): Add missing descriptions.

1998-12-03  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* src/nisls/nisls.c: localize.
	(print_long): Remove stupid, wrong casts.

1998-12-01  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* src/nispasswd/npd_upd_pwd.c (npd_upd_pwd): USE IXDR_PUT_U_INT32,
	  not depricated IXDR_PUT_LONG.
	* src/rpc.nispasswdd/npd_server.c (nispasswd_authenticate_1_svc):
	  Likewise.

1998-11-29  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* src/nisgrpadm/nisgrpadm.1: Update.
	* src/nisgrpadm/nisgrpadm.c: Implement correct -l option, update
	  help/error functions, localize.

	* src/nistbladm/nistbladm.1: Update.
	* src/nistbladm/nistbladm.c: Update help/error functions.

1998-11-28  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* src/nismatch/nismatch.c (print_help): Add description of options.

	* src/niscat/niscat.c: Mark not used callback parameters as "unused".
	* src/keyserv/keyserv_server.c: Likewise.
	* src/keyserv/keyserv.c: Likewise.
	* src/nisgrep/nisgrep.c (print_obj): Likewise.
	* src/nisinit/nisinit.c (eachresult): Likewise.

1998-11-27  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* src/nisdefaults/nisdefaults.c (main): Use '\253' for --help, not ?.
	  (print_error): Fix typo.

	* src/nisaddcred/nisaddcred.c (main): Remove static buffer, add
	  \n to Error messages.

	* lib/key_common/key_common.c (cred_exits): If we get an NIS_PARTIAL
	  error, give a NIS_NOTFOUND back.

	* src/nisgrep/nisgrep.c: If regexec failed, test pattern with fnmatch.

1998-11-26  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* src/niscat/niscat.c (main): Add v to getopt_long as valid option.

1998-11-24  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* src/niscat/niscat.c: Add help text, fix -o option.

1998-11-23  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* src/nisgrep/nisgrep.1: Update header.

	* src/nisgrep/nisgrep.c: Fix possible buffer overflow, pretty print.

1998-11-18  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* lib/nisdb/nis_db_handle_manager.c (__init_cache): Remove static
	  keynum.

	* lib/nisdb/nis_db_first_entry.c (db_first_entry): Add changes
	  for Solaris 2.6.

	* lib/nisdb/nis_db_file_manager.c: Add stpcpy.

1998-11-13  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* lib/nisdb/nis_db_destroy_table.c (db_destroy_table): Optimize.

	* lib/nisdb/nis_db_handle_manager.c (update_catalog): Remove
	  not needed key declaration.

1998-11-12  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* src/rpc.nisd/Makefile.am: Add DEFS, fix INCLUDES and CFLAGS.

	* lib/mp/Makefile.am: Add builddir to CFLAGS.

	* src/nischattrs/Makefile.am: Replace $(top_srcdir) with
	  $(top_builddir), add $(srcdir) to nischattr.c dependencies.

	* src/chkey/Makefile.am: Replace $(top_srcdir) with $(top_builddir).
	* src/keyenvoy/Makefile.am (INCLUDES): Likewise.
	* src/keylogin/Makefile.am (INCLUDES): Likewise.
	* src/keylogout/Makefile.am (INCLUDES): Likewise.
	* src/newkey/Makefile.am: Likewise.
	* src/nis_cachemgr/Makefile.am: Likewise.
	* src/nisaddcred/Makefile.am: Likewise.
	* src/nisdefaults/Makefile.am (INCLUDES): Likewise.
	* src/niserror/Makefile.am (INCLUDES): Likewise.
	* src/nisgrep/Makefile.am (INCLUDES): Likewise.
	* src/nisgrpadm/Makefile.am (INCLUDES): Likewise.
	* src/nisinit/Makefile.am (INCLUDES): Likewise.
	* src/nisln/Makefile.am (INCLUDES): Likewise.
	* src/nisls/Makefile.am (INCLUDES): Likewise.
	* src/nismatch/Makefile.am (INCLUDES): Likewise.
	* src/nismkdir/Makefile.am (INCLUDES): Likewise.
	* src/nispath/Makefile.am (INCLUDES): Likewise.
	* src/nisrm/Makefile.am (INCLUDES): Likewise.
	* src/nisrmdir/Makefile.am (INCLUDES): Likewise.
	* src/nisshowcache/Makefile.am (INCLUDES): Likewise.
	* src/nisstat/Makefile.am (INCLUDES): Likewise.
	* src/nistbladm/Makefile.am (INCLUDES): Likewise.
	* src/nistest/Makefile.am (INCLUDES): Likewise.
	* src/nisupdkeys/Makefile.am (INCLUDES): Likewise.
	* src/rpc.nispasswdd/Makefile.am (INCLUDES): Likewise.

1998-11-08  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* lib/nisdb/nisdbck.c: New.
	* lib/nisdb/check_version.c: New.

	* lib/nisdb/nis_db_file_manager.c: Add new header files.

	* lib/nisdb/nis_db_handle_manager.c: Don't use static buffers,
	  but alloca.

	* lib/nisdb/nis_db_version.h: Removed.

1998-11-07  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* lib/nisdb/nis_db_file_manager.c: Check always return value of
	  xff_* calls.

	* lib/nisdb/nis_db_destroy_table.c: Optimize, mark table_name as const.
	* lib/nisdb/nis_db_create_table.c: Likewise.
	* lib/nisdb/nis_db_first_entry.c: Likewise.
	* lib/nisdb/nis_db_next_entry.c: Likewise.
	* lib/nisdb/nis_db_remove_entry.c: Likewise.
	* lib/nisdb/nis_db_reset_next_entry.c: Likewise.
	* lib/nisdb/nis_db_standby.c: Likewise.
	* lib/nisdb/nis_db_table_exists.c: Likewise.

	* lib/nisdb/nis_db_checkpoint.c (db_checkpoint): Optimize, remove
	  duplicate check for existing table.

	* lib/nisdb/nis_db_add_entry.c: Mark table_name as const.

	* lib/nisdb/nis_db_private.h: Prototype clean up.

	* lib/nisdb/nis_db.h: Clean up, remove unnecessary defines.

	* lib/nisdb/nis_db_version.h: Include version.h.

	* lib/nisdb/version.h: New.

1998-11-06  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* src/rpc.nispasswdd/rpc.nispasswdd.8: New.

	* src/rpc.nispasswdd/npd_main.c (print_usage): Add -Y option.

	* src/rpc.nispasswdd/npd_yp.c: Implement YP update function for
	  NIS+/YP compat mode.

	* src/rpc.nispasswdd/npd_server.c: Check, if calloc returns NULL,
	  always syslog failed attemps.

	* src/rpc.nispasswdd/npd_server.c (nispasswd_update_1_svc): Final,
	  it works on little-endian machines. Not longer sure about
	  big-endian.

1998-11-05  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* src/rpc.nispasswdd/npd_server.c: Add workaround for egcs optimizer
	  bug.

1998-11-03  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* src/rpc.nispasswdd/npd_server.c: Check, if index is greater then
	  cache array, add support for Little-Endian systems.

	* src/nisserver/nisserver: Fix typos.

	* src/rpc.nisd/nisd_stats.c: Change op from u_long to u_int.

	* src/rpc.nisd/nisd.h (nis_cptime_3_r): Replace u_long with uint32_t.

	* src/nisdefaults/nisdefaults.c: pretty print help messages.

	* src/nisrmdir/nisrmdir.c: Add new getopt/error handling.
	* src/nispath/nispath.c: Likewise.

1998-10-31  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* src/nistest/nistest.c: localize, add new help/error handling,
	  fix compiler warnings.

	* src/nismatch/nismatch.c: Add new getopt/error handling,
	  fix typos.

	* src/nisgrep/nisgrep.c: Fix compiler warnings.
	* src/nisls/nisls.c: Likewise.

	* src/nispasswd/nispasswd.h: Replace u_long through u_int.
	* src/rpc.nispasswdd/nispasswd.h: Likewise.
	* src/rpc.nispasswdd/nispasswd.x: Likewise.
	* src/rpc.nispasswdd/npd_xdr.c: Likewise.
	* src/rpc.nispasswdd/npd_server.c: Likewise.

	* lib/nisdb/nis_db_relation_cache.c: Replace long through int
	  to avoid problems on systems, where long != int. If we don't
	  do that, our internal data could be bigger then the NIS+
	  interface allows => buffer overflows are the result.
	* lib/nisdb/nis_db_first_entry.c: Likewise.
	* lib/nisdb/nis_db_add_entry.c: Likewise.
	* lib/nisdb/nis_db_file_manager.c: Likewise.
	* lib/nisdb/nis_db_handle_manager.c: Likewise.
	* lib/nisdb/nis_db_encode.c: Likewise.
	* lib/nisdb/nis_db_create_table.c: Likewise.
	* lib/nisdb/nis_db_list_entries.c: Likewise.
	* lib/nisdb/nis_db_next_entry.c: likewise.

	* lib/nisdb/nis_db_private.h: Change to new prototypes.

1998-10-29  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* lib/nisdb/nis_db_struct.x: Remove unused longlong, replace
	  long through int or uint32_t.

1998-10-18  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* src/nisaddent/nisaddent.h: Add prototype for insert_shadow (),
	  add new enum addmode_t.
	* src/nisaddent/nisaddent.c: Call insert_shadow ().
	* src/nisaddent/Makefile.am: Add nisaddent_shadow.c
	* src/nisaddent/nisaddent_shadow.c: New.
	* src/nisaddent/nisaddent_group.c: Lot of bug fixes.
	* src/nisaddent/nisaddent_passwd.c: Likewise.

	* lib/key_common/key_common.c (get_nisplus_principal): NIS_PARTIAL
	  should be the same as NIS_NOTFOUND.
	  (sanity_checks): Mark as global.

	* src/nisaddcred/nisaddcred.8: Add some more reference manual pages.
	* src/nisaddcred/nisaddcred.c: major rewrite to fix a lot of bugs.

	* freebsd/rpc.nisd/nis_cb_async.c: Make gcc happy, don't compile
	  the RPC hack with glibc 2.x.

1998-10-17  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* freebsd/rpc.nisd/nis_error.c: Make gcc happy.
	* freebsd/rpc.nisd/nis_server.c: Likewise.
	* freebsd/rpc.nisd/nis_access.c: Likewise. Remove unnecessary table
	  argument from lookup() and store().

	* src/nisupdkeys/nisupdkeys.c (main): Don't create nis_server
	  struct if user doesn't specify a hostname.

	* src/nisserver/nisserver: More bug fixes.

	* lib/gmp-1.3.2: Remove sources for GNU MP Library.

	* lib/mp: New, smaller source tree for a MP Library, based on
	  gmp 1.3.2.

	* src/chkey/Makefile.am: Use new directory for MP Library.
	* lib/key_common/Makefile.am: Likewise.
	* src/keyserv/Makefile.am: Likewise.
	* src/newkey/Makefile.am: Likewise.
	* src/nisaddcred/Makefile.am: Likewise.

1998-10-11  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* src/nisupdkeys/nisupdkeys.c: Fix a lot of Bugs.
	* src/nisupdkeys/Makefile.am: Add Include path for nis_xdr.h,
	  link against libnisxdr.a.

	* src/nisaddcred/nisaddcred.c (main): Fix use of cname and netname,
	  check for correct password.
	* src/nisaddcred/Makefile.am: Add @CRYPT@ to LDADD.

	* lib/key_common/key_common.c (auth_exists): Fix Typo.

1998-09-21  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* src/niserror/Makefile.am: New.
	* src/niserror/niserror.c: New.
	* src/niserror/niserror.1: New.

1998-09-18  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* src/nischattrs/Makefile.am: New.
	* src/nischattrs/nischattrs.c: New.
	* src/nischattrs/nischgrp.1: New.
	* src/nischattrs/nischmod.1: New.
	* src/nischattrs/nischown.1: New.
	* src/nischattrs/nischttl.1: New.

	* src/nisdefaults/Makefile.am: New.
	* src/nisdefaults/nisdefaults.c: New.
	* src/nisdefaults/nisdefaults.1: New.

	* src/niscat/Makefile.am: New.
	* src/niscat/niscat.c: New.
	* src/niscat/niscat.1: New.

	* src/compat/rpmatch.c: New.

1998-09-17  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* release 19980917 snapshot

	* src/nisstat/Makefile.am: New.
	* src/nisstat/nisstat.c: New.

	* src/nisshowcache/Makefile.am: New.
	* src/nisshowcache/nisshowcache.c: New.

	* src/keylogin/keylogin.c: Define _GNU_SOURCE for getopt_long.
	* src/keylogout/keylogout.c: Likewise.
	* src/keyserv/keyserv.c: Likewise.
	* src/nislog/nislog.c: Likewise.
	* src/nispasswd/nispasswd.c: Likewise.
	* src/nisping/nisping.c: Likewise.
	* src/rpc.nisd/nisd_main.c: Likewise.
	* src/rpc.nispasswdd/npd_main.c: Likewise.

	* src/nisinit/Makefile.am: New.
	* src/nisinit/nisinit.c: New.

	* man/Makefile.am (man_MANS): Add nisinit.8, nisstat.8,
	  nisupdkeys.8  and nisshowcache.8
	* man/nisinit.8: New.
	* man/nisstat.8: New.
	* man/nisshowcache.8: New.

1998-08-29  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* src/nispasswd/npd_upd_pwd.c: Ask three times if password is
	  misspelled, mark output for translation.

1998-08-28  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* src/rpc.nispasswdd/npd_server.c: Check, if we serve the domain.

	* src/rpc.nispasswdd/npd_main.c: Check, if we run on a Root Master,
	  save the domains we serve, add -Y flag.

	* src/rpc.nispasswdd/npd_nis.h: Add struct dir_list prototype.

	* src/rpc.nispasswdd/nispasswd_main.c: Rename from this ...
	* src/rpc.nispasswdd/npd_main.c: ... to this.

	* src/rpc.nispasswdd/nispasswd_server.c: Rename from this ...
	* src/rpc.nispasswdd/npd_server.c: ... to this.

	* src/rpc.nispasswdd/nispasswd_xdr.c: Rename from this ...
	* src/rpc.nispasswdd/npd_xdr.c: ... to this.

	* src/rpc.nispasswdd/yppasswd_svc.c: Rename from this ...
	* src/rpc.nispasswdd/npd_yp.c: ... to this.

	* src/rpc.nispasswdd/Makefile.am: Add DEFS variable to allow
	  override from CFLAGS.
	* src/keyenvoy/Makefile.am: Likewise.
	* src/chkey/Makefile.am: Likewise.
	* src/keylogin/Makefile.am: Likewise.
	* src/keylogout/Makefile.am: Likewise.

1998-08-25  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* release snapshot 19980825

	* src/rpc.nispasswdd/nispasswd_server.c (nispasswd_update_1_svc):
	  Add changing of gecos and shell field, fix reencryption.

1998-08-23  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* configure.in: check for xencrypt and stpcpy.

	* src/rpc.nispasswdd/nispasswd_server.c (nispasswd_update_1_svc):
	  Reencrypt secret key with new password.

	* src/chkey/chkey.c: protect getopt.h.

	* lib/compat/getopt.h: Fix compiler warnings.
	* lib/compat/getopt_long.c: Likewise.

1998-08-23  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* release snapshot 19980823

	* configure.in: Check for stdint.h.
	* lib/md/md4c.c: Include stdint.h if exists.
	* lib/md/md4hl.c: Likewise.
	* lib/md/md5c.c: Likewise.
	* lib/md/md5hl.c: Likewise.

	* lib/nisdb/nis_db_private.h: Replace sys/cdefs.h include
	  with proper defines.
	* lib/md/md2.h: Likewise.
	* lib/md/md4.h: Likewise.
	* lib/md/md5.h: Likewise.

1998-08-19  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* src/rpc.nispasswdd/nispasswd.x: New.
	* src/rpc.nispasswdd/nispasswd.h: Generated new.

	* src/rpc.nispasswdd/nispasswd.h: Renamed from this ...
	* src/rpc.nispasswdd/npd_nis.h: ... to this, add global variables.

	* src/rpc.nispasswdd/nis_yppasswd.h: Renamed from this ...
	* src/rpc.nispasswdd/npd_yp.h: ... to this.

	* src/rpc.nispasswdd/nispasswd_server.c: Implement more functions.

1998-08-18  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* lib/compat/des_impl.c: Fix includes, rename _des_crypt to
	  nis_des_crypt.
	* lib/compat/des_crypt.c: Likewise.

1998-08-14  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* configure.in: Check for getopt_long.

1998-08-11  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* configure.in: Check for libcrypt and rpc/rpc_soc.h.

	* src/nispasswd/npd_upd_pwd.c: Add locale support.

1998-08-08  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* src/nispasswd/npd_display.c: New.
	* src/nispasswd/npd_lock.c: New.

1998-08-07  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* src/rpc.nispasswdd/nispasswd_main.c: Check for YP comapt mode.
	* src/rpc.nispasswdd/nis_yppasswd.h: New.
	* src/rpc.nispasswdd/yppasswd_svc.c: New.

	* lib/key_common/key_common.h: Add more prototypes.
	* lib/key_common/key_common.c: Fix a lot of compiler warnings.
	* lib/key_common/generic.c: Likewise.
	* lib/key_common/pkey.c: Likewise.
	* lib/key_common/update.c: Likewise.
	* src/chkey/chkey.c: Likewise.
	* src/keyenvoy/keyenvoy.c: Likewise.
	* src/nisaddent/nisaddent_passwd.c: Likewise.
	* src/nisaddent/nisaddent_group.c: Likewise.
	* src/nislog/nislog.c: Likewise.
	* src/nisping/nisping.c: Likewise.

	* lib/nisdb/nis_db_handle_manager.c (sync_all_tables): Give
	  tdesc free after we flush the table.

1998-08-03  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* freebsd/nislib/nis_cache_clnt.c: Fix compiler warnings.

	* lib/key_common/update.c: include malloc.h/libgen.h.

	* lib/key_common/generic.c: include stdlib.h.

	* lib/nisdb/nis_db_file_manager.c: Fix compiler warnings.
	* lib/nisdb/nis_db_handle_manager.c: Likewise.
	* lib/nisdb/nis_db_remove_entry.c: Likewise.
	* lib/nisdb/nis_db_first_entry.c: Likewise.
	* lib/nisdb/nis_db_reset_next_entry.c: Likewise.

	* lib/nisdb/nis_db_private.h: Change u_int32_t to uint32_t.
	* lib/nisdb/nis_db_encode.c: Likewise.

	* lib/md/md4c.c: Make portable.
	* lib/md/md4.h: Likewise.
	* lib/md/md5.h: Likewise.

	* lib/md/md2c.c: Remove unused typedefs.

	* lib/md/md2.h: Make C++ safe.

	* src/keyserv/keyserv.c (main): Rearange init stuff.

1998-08-02  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* src/keyserv/keyserv.c: Make thread safe.
	* src/keyserv/keyserv_server.c: Likewise.
	* src/keyserv/keyserv.h: Update prototypes.

	* lib/nisdb/nis_db_handle_manager.c: Fix egcs pre 1.1 warnings.
	* lib/nisdb/nis_db_file_manager.c: Likewise.

1998-07-31  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* lib/nisdb/nis_db.h: Remove form gcc not supported pragma ident.
	* src/rpc.nispasswd/nispasswd_main.c: Include <rpcsvc/nis.h>.

1998-07-28  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* man/nisclient.8: New.

1998-07-27  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* src/nisclient/Makefile.am: New.
	* src/nisclient/nisclient: New.
	* src/nisserver/Makefile.am: New.
	* src/nisserver/nisserver: New.
	* src/nissetup/Makefile.am: New.
	* src/nissetup/nissetup: New.

1998-07-26  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* src/nisaddcred/Makefile.am: New.
	* src/nisaddcred/nisaddcred.c: New.

	* configure.in: Create Makefile for key_common, chkey and newkey,
	  Set special variables for libnsl and libcrypt.

	* lib/key_common/Makefile.am: New.
	* lib/key_common/generic.c: New, from secure RPC 4.0.
	* lib/key_common/pkey.c: Likewise.
	* lib/key_common/update.c: Likewise.
	* lib/key_common/key_common.c: Likewise.
	* lib/key_common/key_common.h: Likewise.

	* src/chkey/Makefile.am: New.
	* src/chkey/chkey.c: New, from secure RPC 4.0.

	* src/newkey/Makefile.am: New.
	* src/newkey/newkey.c: New, from secure RPC 4.0.

	* man/*: Update manual pages.

1998-07-24  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* man/Makefile.am (man_MANS): Add keyenvoy.8
	* man/keyenvoy.8: New.

1998-07-21  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* release snapshot 19980721

	* src/keylogout/*: New.
	* src/keylogin/*: New.

1998-06-27  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* lib/gmp-1.3.2/*: New.
	* src/keyserv/*: New.
	* configure.in: Add keyserv and gmp-1.3.2.
	* lib/Makefile.am: Add gmp-1.3.2 subdirectory.
	* src/Makefile.am: Add keyserv subdirectory.

1998-06-15  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* freebsd/nislib/nislib_util.c: Update from  FreeBSD snapshot 980615.
	* freebsd/nislib/rpcsvc/nislib.h: Likewise.
	* freebsd/rpc.nisd/nis_db_ib.c: Likewise.
	* freebsd/rpc.nisd/nis_extern.h: Likewise.
	* freebsd/rpc.nisd/nis_main.c: Likewise.
	* freebsd/rpc.nisd/nis_server.c: Likewise.
	* freebsd/rpc.nisd/nis_state.c: Likewise.
	* freebsd/rpc.nisd/nis_common.h: New.
	* freebsd/rpc.nisd/nis_common.c: New.

1998-06-14  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* release snapshot 19980614

	* changed nearly all sources

1998-06-13  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* freebsd/rpc.nisd/nis_log.h: Add _PATH_NIS_LOG/_PATH_NIS_LOG_TMP

1998-06-12  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* lib/nisdb/nis_db_struct_xdr.c: Rename from this ...
	* lib/nisdb/nisdb_xdr.c: ... to this, and add all missing xdr_*
	  functions
	* lib/md/Makefile.am (libmd_la_LDFLAGS): Change Version number to 1.0

	* freebsd/rpc.nisd/*: Update from FreeBSD Snapshot 980608

	* freebsd/rpc.nisd/Makefile.am: New.

	* freebsd/nislib/*: Update from FreeBSD Snapshot 980608

	* freebsd/nislib/Makefile.am: New.

	* lib/nisdb/libnis_db.map: New.

	* lib/nisdb/Makefile.am: Add shared library versioning.

	* lib/nisdb/nis_db_private.h: Update from FreeBSD Snapshot 980608.
	* lib/nisdb/nis_db_file_manager.c: Likewise.
	* lib/nisdb/nis_db_first_entry.c: Likewise.
	* lib/nisdb/nis_db_handle_manager.c: Likewise.
	* lib/nisdb/nis_db_list_entries.c: Likewise.
	* lib/nisdb/nis_db_next_entry.c: Likewise.

1998-05-31  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* freebsd/nislib/nislib_util.c: Add getpublickey().

	* lib/nisdb/*: Update from FreeBSD Snapshot 980530
	* freebsd/nislib/*: Likewise.
	* freebsd/rpc.nisd/*: Likewise.

	* src/rpc.nisd/Makefile.am: Don't install rpc.nisd by default
	* src/rpc.nispasswdd/Makefile.am: Don't install rpc.nispasswdd by
	  deault.

1998-05-26  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* lib/nisdb/nis_db_add_entry.c: Update from FreeBSD Snapshot 980525
	* lib/nisdb/nis_db_create_table.c: Likewise.
	* lib/nisdb/nis_db_encode.c: Likewise.
	* lib/nisdb/nis_db_file_manager.c: Likewise.
	* lib/nisdb/nis_db_first_entry.c: Likewise.
	* lib/nisdb/nis_db_handle_manager.c: Likewise.
	* lib/nisdb/nis_db_list_entries.c: Likewise.
	* lib/nisdb/nis_db_next_entry.c: Likewise.
	* lib/nisdb/nis_db_private.h: Likewise.
	* lib/nisdb/nis_db_relation_cache.c: Likewise.
	* lib/nisdb/nis_db_remove_entry.c: Likewise.
	* lib/nisdb/nis_db_reset_next_entry.c: Likewise.
	* lib/nisdb/rpcsvc/nis_db.h: Likewise

	* freebsd/nislib/*: Update from FreeBSD Snapshot 980525
	* freebsd/rpc.nisd/*: Likewise.
	* freebsd/nisping/nisping.c: Likewise.

	* man/Makefile.am: New.
	* man/nis_db*.3: New.

1998-05-24  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* lib/nisdb/Makefile.am (LIBS): Don't link against other libraries.

	* src/rpc.nisd/nisd.h: New.

	* src/rpc.nisd/Makefile.am (LDADD): Fix path for libnis_db.

	* src/*: Moved from here ...
	* src/rpc.nisd/*: ... to here.

	* src/rpc.nispasswdd/*: New.

	* src/Makefile.am: New.

	* configure.in: Create Makefiles for rpc.nisd, rpc.nispasswdd.

	* acconfig.h: Add WITH_EFENCE and WITH_DMALLOC.

	* configure.in: Add efence and dmalloc option.

	* acinclude.m4: Add macro for efence check.

1998-05-23  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* Initial release.
